Package tigase.server.xmppserver

# Interface S2SConnectionHandlerIfc<IO extends XMPPIOService<?>>

All Known Implementing Classes:
  `S2SConnectionManager`

public interface S2SConnectionHandlerIfc<IO extends XMPPIOService<?>>
Created: Dec 9, 2010 11:40:28 PM

Author:
  Artur Hefczyc

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addOutPacket(Packet packet)`
  `void`
  `addTimerTask(TimerTask task, long delay, TimeUnit unit)`
  `CIDConnections`
  `getCIDConnections(CID cid, boolean createNew)`
  `CIDConnections.CIDConnectionsOpenerService`
  `getConnectionOpenerService()`
  `BareJID`
  `getDefHostName()`
  `String`
  `getSecretForDomain(String domain)`
  Returns secret used for particular domain
  `String`
  `getServerNameForDomain(String domain)`
  `List<Element>`
  `getStreamFeatures(S2SIOService serv)`
  Returns stream features available for particular S2S connection.
  `void`
  `initNewConnection(Map<String,Object> port_props)`
  `boolean`
  `isTlsNeedClientAuthEnabled()`
  `boolean`
  `isTlsRequired(String domain)`
  Checks if TLS is required for particular domain
  `boolean`
  `isTlsWantClientAuthEnabled()`
  `boolean`
  `sendVerifyResult(String elem_name, CID connCid, CID keyCid, Boolean valid, String key_sessionId, String serv_sessionId, String cdata, boolean handshakingOnly)`
  `boolean`
  `sendVerifyResult(String elem_name, CID connCid, CID keyCid, Boolean valid, String key_sessionId, String serv_sessionId, String cdata, boolean handshakingOnly, Element errorElem)`
  `void`
  `serviceConnected(IO service)`
  `void`
  `validateCIDConnection(CID cid)`
  `void`
  `writePacketsToSocket(IO serv, Queue<Packet> packets)`
  `boolean`
  `writePacketToSocket(IO serv, Packet packet)`
  `void`
  `writeRawData(IO serv, String strError)`

- ## Method Details

  - ### getStreamFeatures

    List<Element> getStreamFeatures(S2SIOService serv)
    Returns stream features available for particular S2S connection.
    Parameters:
      `serv` - `S2SIOService` for which stream features should be retrieved
    Returns:
      list of stream features

  - ### addOutPacket

    boolean addOutPacket(Packet packet)

  - ### addTimerTask

    void addTimerTask(TimerTask task, long delay, TimeUnit unit)

  - ### getCIDConnections

    CIDConnections getCIDConnections(CID cid, boolean createNew) throws NotLocalhostException, LocalhostException
    Throws:
      `NotLocalhostException`
      `LocalhostException`

  - ### validateCIDConnection

    void validateCIDConnection(CID cid) throws NotLocalhostException, LocalhostException
    Throws:
      `NotLocalhostException`
      `LocalhostException`

  - ### getConnectionOpenerService

    CIDConnections.CIDConnectionsOpenerService getConnectionOpenerService()

  - ### getDefHostName

    BareJID getDefHostName()

  - ### getSecretForDomain

    String getSecretForDomain(String domain) throws NotLocalhostException
    Returns secret used for particular domain
    Parameters:
      `domain` - for which secret should be returned
    Returns:
      for particular domain
    Throws:
      `NotLocalhostException` - if the domain is not local

  - ### getServerNameForDomain

    String getServerNameForDomain(String domain)

  - ### initNewConnection

    void initNewConnection(Map<String,Object> port_props)

  - ### isTlsRequired

    boolean isTlsRequired(String domain)
    Checks if TLS is required for particular domain
    Parameters:
      `domain` - for which secret should be returned
    Returns:
      boolean indicating whether TLS is required

  - ### isTlsWantClientAuthEnabled

    boolean isTlsWantClientAuthEnabled()

  - ### isTlsNeedClientAuthEnabled

    boolean isTlsNeedClientAuthEnabled()

  - ### sendVerifyResult

    boolean sendVerifyResult(String elem_name, CID connCid, CID keyCid, Boolean valid, String key_sessionId, String serv_sessionId, String cdata, boolean handshakingOnly)

  - ### sendVerifyResult

    boolean sendVerifyResult(String elem_name, CID connCid, CID keyCid, Boolean valid, String key_sessionId, String serv_sessionId, String cdata, boolean handshakingOnly, Element errorElem)

  - ### serviceConnected

    void serviceConnected(IO service)

  - ### writePacketToSocket

    boolean writePacketToSocket(IO serv, Packet packet)

  - ### writePacketsToSocket

    void writePacketsToSocket(IO serv, Queue<Packet> packets)

  - ### writeRawData

    void writeRawData(IO serv, String strError)